diff --git a/src/Hooks/abrt-hook-ccpp.cpp b/src/Hooks/abrt-hook-ccpp.cpp
index b72e8be..3b23086 100644
--- a/src/Hooks/abrt-hook-ccpp.cpp
+++ b/src/Hooks/abrt-hook-ccpp.cpp
@@ -137,7 +137,12 @@ static char* get_executable(pid_t pid)
     char buf[sizeof("/proc/%lu/exe") + sizeof(long)*3];
 
     sprintf(buf, "/proc/%lu/exe", (long)pid);
-    return malloc_readlink(buf);
+    char *executable = malloc_readlink(buf);
+    /* find and cut off " (deleted)" from the path */
+    char *deleted = strstr(executable, " (deleted)");
+    if(deleted)
+        deleted = '\0';
+    return executable;
 }
 
 static char* get_cwd(pid_t pid)
